nbd_get_subprocess_pid(3)

NAME
nbd_get_subprocess_pid - get the process ID of the subprocess

SYNOPSIS
 #include <libnbd.h>

 int64_t nbd_get_subprocess_pid (
           struct nbd_handle *h
         );

DESCRIPTION
For connections which create a subprocess such as nbd_connect_command(3), this returns the process ID (PID) of the subprocess. This is only supported on some platforms.

This is mainly useful in debugging cases. For example, this could be used to learn where to attach gdb(1) to diagnose a crash in the NBD server subprocess.

RETURN VALUE
This call returns a 64 bit signed integer ≥ 0.

ERRORS
On error -1 is returned.

Refer to "ERROR HANDLING" in libnbd(3) for how to get further details of the error.

The following parameters must not be NULL: "h". For more information see "Non-NULL parameters" in libnbd(3).

VERSION
This function first appeared in libnbd 1.22.

If you need to test if this function is available at compile time check if the following macro is defined:

 #define LIBNBD_HAVE_NBD_GET_SUBPROCESS_PID 1

SEE ALSO
nbd_connect_command(3), nbd_create(3), nbd_kill_subprocess(3), libnbd(3), fork(2), gdb(1).

AUTHORS
Eric Blake

Richard W.M. Jones

COPYRIGHT
Copyright Red Hat

LICENSE
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA